"""===============================================================
با فرض اینکه عناصر دو ارایه ۴۰ عنصری A , B قبلاً ذخیره شده است و به
صورت نزولی نگهداری می شوند. منطق برنامه ای را طراحی کنید که با ادغام
این دو آرایه یک آرایه مرکب نزولی به نام C با ۸۰ عنصر بسازد و پس از
انتقال هر عنصر به آرایه C مقدار آنرا در آرایه های A , B با صفر جایگزین
کند
==============================================================="""

B = [23,17,15,13,9,7]
A = [12,8,5,3,1,-1]
C = []

a = 0
b = 0
count = 0
while count < (len(A)+len(B)):
    if a >= len(A):
        C.append(B[b])
        b += 1
    elif b >= len(B):
        C.append(A[a])
        a += 1
    elif A[a] > B[b]:
        C.append(A[a])
        a+=1
    else:
        C.append(B[b])
        b+=1
    count+=1

print(C)